'use strict';

var graphqlCore = require('@makerx/graphql-core');
var nodeCommon = require('@makerx/node-common');

const introspectionControlPlugin = {
    requestDidStart: ({ request: { query }, contextValue: { user }, }) => {
        if (nodeCommon.isProduction && !user && graphqlCore.isIntrospectionQuery(query))
            throw new Error('Unauthenticated introspection is not supported');
        return Promise.resolve();
    },
};

exports.introspectionControlPlugin = introspectionControlPlugin;
//# sourceMappingURL=introspection-control-plugin.js.map
