import { isIntrospectionQuery } from '@makerx/graphql-core';
import { isProduction } from '@makerx/node-common';

const introspectionControlPlugin = {
    requestDidStart: ({ request: { query }, contextValue: { user }, }) => {
        if (isProduction && !user && isIntrospectionQuery(query))
            throw new Error('Unauthenticated introspection is not supported');
        return Promise.resolve();
    },
};

export { introspectionControlPlugin };
//# sourceMappingURL=introspection-control-plugin.mjs.map
