import { type GraphQLContext, type JwtPayload } from '@makerx/graphql-core';
import type { Logger } from '@makerx/node-common';
/**
 * A no-op logger suitable for test GraphQL contexts if you wish to avoid using a real logger.
 */
export declare const noOpLogger: Logger;
/**
 * Builds a basic GraphQLContext for testing purposes using the supplied JWT payload.
 */
export declare function createTestContext(jwtPayload?: JwtPayload): Promise<GraphQLContext>;
