/***
 * Returns a new object with all keys of the original object except the ones that have a value of undefined or null.
 */
function omitNil(obj) {
    return Object.fromEntries(Object.entries(obj).filter(([, value]) => value !== undefined && value !== null));
}

export { omitNil };
//# sourceMappingURL=utils.mjs.map
